# Uses of Interface
org.springframework.cache.interceptor.CacheOperationSource

Packages that use CacheOperationSource
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.

## Uses of CacheOperationSource in org.springframework.cache.annotation

Classes in org.springframework.cache.annotation that implement CacheOperationSource
Modifier and Type
Class
Description
`class`
`AnnotationCacheOperationSource`
Implementation of the `CacheOperationSource` interface for working with caching metadata in annotation format.
Methods in org.springframework.cache.annotation that return CacheOperationSource
Modifier and Type
Method
Description
`CacheOperationSource`
ProxyCachingConfiguration.`cacheOperationSource()`
Methods in org.springframework.cache.annotation with parameters of type CacheOperationSource
Modifier and Type
Method
Description
`BeanFactoryCacheOperationSourceAdvisor`
ProxyCachingConfiguration.`cacheAdvisor(CacheOperationSource cacheOperationSource, CacheInterceptor cacheInterceptor)`
`CacheInterceptor`
ProxyCachingConfiguration.`cacheInterceptor(CacheOperationSource cacheOperationSource)`

## Uses of CacheOperationSource in org.springframework.cache.interceptor

Classes in org.springframework.cache.interceptor that implement CacheOperationSource
Modifier and Type
Class
Description
`class`
`AbstractFallbackCacheOperationSource`
Abstract implementation of `CacheOperationSource` that caches operations for methods and implements a fallback policy: 1.
`class`
`CompositeCacheOperationSource`
Composite `CacheOperationSource` implementation that iterates over a given array of `CacheOperationSource` instances.
`class`
`NameMatchCacheOperationSource`
Simple `CacheOperationSource` implementation that allows attributes to be matched by registered name.
Methods in org.springframework.cache.interceptor that return CacheOperationSource
Modifier and Type
Method
Description
`CacheOperationSource`
CacheAspectSupport.`getCacheOperationSource()`
Return the CacheOperationSource for this cache aspect.
`final CacheOperationSource[]`
CompositeCacheOperationSource.`getCacheOperationSources()`
Return the `CacheOperationSource` instances that this `CompositeCacheOperationSource` combines.
Methods in org.springframework.cache.interceptor with parameters of type CacheOperationSource
Modifier and Type
Method
Description
`void`
BeanFactoryCacheOperationSourceAdvisor.`setCacheOperationSource(CacheOperationSource cacheOperationSource)`
Set the cache operation attribute source which is used to find cache attributes.
`void`
CacheAspectSupport.`setCacheOperationSource(CacheOperationSource cacheOperationSource)`
Set the CacheOperationSource for this cache aspect.
`void`
CacheAspectSupport.`setCacheOperationSources(CacheOperationSource... cacheOperationSources)`
Set one or more cache operation sources which are used to find the cache attributes.
`void`
CacheProxyFactoryBean.`setCacheOperationSources(CacheOperationSource... cacheOperationSources)`
Set one or more sources to find cache operations.
Constructors in org.springframework.cache.interceptor with parameters of type CacheOperationSource
Modifier
Constructor
Description
``
`CompositeCacheOperationSource(CacheOperationSource... cacheOperationSources)`
Create a new CompositeCacheOperationSource for the given sources.